Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.util.testing
Class RedBlackMapUnit

    java.lang.Object
      rice.p2p.util.testing.RedBlackMapUnit

public class RedBlackMapUnit
extends java.lang.Object

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh

Constructor Summary
`RedBlackMapUnit()`

Method Summary
`protected static int` | `getIndex(Id id, Id[] sorted)` Gets the Index attribute of the RedBlackMapUnit class
`static void` | `main(java.lang.String[] args)` The main program for the RedBlackMapUnit class
`protected static void` | `printMap(Id[] id)` DESCRIBE THE METHOD
`protected static void` | `printMap(java.util.SortedMap map)` DESCRIBE THE METHOD
`protected static void` | `testHeadMap(Id head, Id[] sorted, java.util.SortedMap sub)` A unit test for JUnit
`protected static void` | `testNormalSubMap(Id from, Id to, Id[] sorted, java.util.SortedMap sub)` A unit test for JUnit
`protected static void` | `testRemove(java.util.SortedMap map)` A unit test for JUnit
`protected static void` | `testRemove(java.util.SortedMap map, Id[] sorted, Id remove)` A unit test for JUnit
`protected static void` | `testSortedMap(int iterations, java.util.SortedMap map, IdFactory factory, java.util.Random random, int depth)` A unit test for JUnit
`protected static void` | `testTailMap(Id tail, Id[] sorted, java.util.SortedMap sub)` A unit test for JUnit
`protected static void` | `testWrappedSubMap(Id from, Id to, Id[] sorted, java.util.SortedMap sub)` A unit test for JUnit

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RedBlackMapUnit

    public RedBlackMapUnit()

Method Detail

### getIndex

    protected static int getIndex(Id id,
                                  Id[] sorted)

  Gets the Index attribute of the RedBlackMapUnit class

  Parameters:
    `id` - DESCRIBE THE PARAMETER
    `sorted` - DESCRIBE THE PARAMETER
  Returns:
    The Index value

### main

    public static void main(java.lang.String[] args)

  The main program for the RedBlackMapUnit class

  Parameters:
    `args` - The command line arguments

### testRemove

    protected static void testRemove(java.util.SortedMap map)

  A unit test for JUnit

  Parameters:
    `map` - DESCRIBE THE PARAMETER

### testRemove

    protected static void testRemove(java.util.SortedMap map,
                                     Id[] sorted,
                                     Id remove)

  A unit test for JUnit

  Parameters:
    `map` - DESCRIBE THE PARAMETER
    `sorted` - DESCRIBE THE PARAMETER
    `remove` - DESCRIBE THE PARAMETER

### printMap

    protected static void printMap(Id[] id)

  DESCRIBE THE METHOD

  Parameters:
    `id` - DESCRIBE THE PARAMETER

### printMap

    protected static void printMap(java.util.SortedMap map)

  DESCRIBE THE METHOD

  Parameters:
    `map` - DESCRIBE THE PARAMETER

### testSortedMap

    protected static void testSortedMap(int iterations,
                                        java.util.SortedMap map,
                                        IdFactory factory,
                                        java.util.Random random,
                                        int depth)

  A unit test for JUnit

  Parameters:
    `iterations` - DESCRIBE THE PARAMETER
    `map` - DESCRIBE THE PARAMETER
    `factory` - DESCRIBE THE PARAMETER
    `random` - DESCRIBE THE PARAMETER
    `depth` - DESCRIBE THE PARAMETER

### testHeadMap

    protected static void testHeadMap(Id head,
                                      Id[] sorted,
                                      java.util.SortedMap sub)

  A unit test for JUnit

  Parameters:
    `head` - DESCRIBE THE PARAMETER
    `sorted` - DESCRIBE THE PARAMETER
    `sub` - DESCRIBE THE PARAMETER

### testTailMap

    protected static void testTailMap(Id tail,
                                      Id[] sorted,
                                      java.util.SortedMap sub)

  A unit test for JUnit

  Parameters:
    `tail` - DESCRIBE THE PARAMETER
    `sorted` - DESCRIBE THE PARAMETER
    `sub` - DESCRIBE THE PARAMETER

### testNormalSubMap

    protected static void testNormalSubMap(Id from,
                                           Id to,
                                           Id[] sorted,
                                           java.util.SortedMap sub)

  A unit test for JUnit

  Parameters:
    `from` - DESCRIBE THE PARAMETER
    `to` - DESCRIBE THE PARAMETER
    `sorted` - DESCRIBE THE PARAMETER
    `sub` - DESCRIBE THE PARAMETER

### testWrappedSubMap

    protected static void testWrappedSubMap(Id from,
                                            Id to,
                                            Id[] sorted,
                                            java.util.SortedMap sub)

  A unit test for JUnit

  Parameters:
    `from` - DESCRIBE THE PARAMETER
    `to` - DESCRIBE THE PARAMETER
    `sorted` - DESCRIBE THE PARAMETER
    `sub` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.